Bug 108776 - Web Inspector: prevent crash, add required error string value
Summary: Web Inspector: prevent crash, add required error string value
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-03 16:24 PST by Peter Rybin
Modified: 2013-02-05 07:07 PST (History)
12 users (show)

See Also:


Attachments
Patch (2.86 KB, patch)
2013-02-03 16:35 PST, Peter Rybin
no flags Details | Formatted Diff | Diff
Patch (2.57 KB, patch)
2013-02-04 16:55 PST, Peter Rybin
no flags Details | Formatted Diff | Diff
Patch (2.55 KB, patch)
2013-02-05 02:48 PST, Peter Rybin
no flags Details | Formatted Diff | Diff
Patch (2.50 KB, patch)
2013-02-05 05:49 PST, Peter Rybin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Rybin 2013-02-03 16:24:35 PST
Make inspector more fair to either-result-or-error-string convention.
Comment 1 Peter Rybin 2013-02-03 16:35:34 PST
Created attachment 186275 [details]
Patch
Comment 2 Build Bot 2013-02-03 17:24:47 PST
Comment on attachment 186275 [details]
Patch

Attachment 186275 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://queues.webkit.org/results/16359804

New failing tests:
inspector/debugger/watch-expressions-preserve-expansion.html
Comment 3 Build Bot 2013-02-03 17:42:52 PST
Comment on attachment 186275 [details]
Patch

Attachment 186275 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/16354870
Comment 4 Build Bot 2013-02-03 17:57:27 PST
Comment on attachment 186275 [details]
Patch

Attachment 186275 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/16355911

New failing tests:
inspector/debugger/watch-expressions-preserve-expansion.html
Comment 5 Build Bot 2013-02-03 18:23:04 PST
Comment on attachment 186275 [details]
Patch

Attachment 186275 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/16352918

New failing tests:
inspector/debugger/watch-expressions-preserve-expansion.html
Comment 6 WebKit Review Bot 2013-02-03 18:31:07 PST
Comment on attachment 186275 [details]
Patch

Attachment 186275 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16359826

New failing tests:
inspector/debugger/watch-expressions-preserve-expansion.html
Comment 7 Pavel Feldman 2013-02-04 00:24:01 PST
Comment on attachment 186275 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=186275&action=review

> Source/WebCore/inspector/InspectorRuntimeAgent.cpp:84
> +        *errorString = "Capybara, capybara capybara capybara: capybara!";

Please use proper wording.
Comment 8 Peter Rybin 2013-02-04 03:46:01 PST
(In reply to comment #7)
> (From update of attachment 186275 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=186275&action=review
> 
> > Source/WebCore/inspector/InspectorRuntimeAgent.cpp:84
> > +        *errorString = "Capybara, capybara capybara capybara: capybara!";
> 
> Please use proper wording.

I meant I didn't know what the proper wording was here. Could you please advise?
Comment 9 Peter Rybin 2013-02-04 16:28:55 PST
> I meant I didn't know what the proper wording was here. Could you please advise?

Oh, wait. That's something stupid here, error string must be already provided. Let me watch again.
Comment 10 Peter Rybin 2013-02-04 16:55:52 PST
Created attachment 186497 [details]
Patch
Comment 11 Peter Rybin 2013-02-04 16:57:14 PST
(In reply to comment #10)
> Patch

Please advise what a proper wording should be instead of bogus message currently in patch. This is a protocol-visible message.
Comment 12 Pavel Feldman 2013-02-05 01:45:56 PST
Comment on attachment 186497 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=186497&action=review

> Source/WebCore/inspector/PageRuntimeAgent.cpp:141
> +            *errorString = "Main world execution context not found. Capybara! Capybara!";

Is this some kind of joke?
Comment 13 Peter Rybin 2013-02-05 02:48:08 PST
Created attachment 186586 [details]
Patch
Comment 14 Peter Rybin 2013-02-05 02:49:44 PST
> > Source/WebCore/inspector/PageRuntimeAgent.cpp:141
> > +            *errorString = "Main world execution context not found. Capybara! Capybara!";
> 
> Is this some kind of joke?

Fixed.
Comment 15 Pavel Feldman 2013-02-05 05:31:55 PST
Comment on attachment 186586 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=186586&action=review

> Source/WebCore/inspector/PageRuntimeAgent.cpp:140
> +            // FIXME(code.review): correct or confirm the message.

Please remove this fixme.

> Source/WebCore/inspector/PageRuntimeAgent.cpp:141
> +            *errorString = "Main world execution context not found.";

"Internal error: main world execution context not found." ?
Comment 16 Peter Rybin 2013-02-05 05:49:16 PST
Created attachment 186610 [details]
Patch
Comment 17 WebKit Review Bot 2013-02-05 07:07:24 PST
Comment on attachment 186610 [details]
Patch

Clearing flags on attachment: 186610

Committed r141891: <http://trac.webkit.org/changeset/141891>
Comment 18 WebKit Review Bot 2013-02-05 07:07:29 PST
All reviewed patches have been landed.  Closing bug.